ranges::join_with_view< Rng, ValRng >::cursor Class Reference

## Public Types

using | reference = common_reference_t< range_reference_t< Inner >, range_reference_t< ValRng > >
using | rvalue_reference = common_reference_t< range_rvalue_reference_t< Inner >, range_rvalue_reference_t< ValRng > >
using | single_pass = std::true_type
using | value_type = common_type_t< range_value_t< Inner >, range_value_t< ValRng > >

## Public Member Functions

| cursor (join_with_view *rng)
bool | equal (default_sentinel_t) const
rvalue_reference | move () const
void | next ()
reference | read () const